"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const option_1 = require("@reactive-js/option");
const global = self;
exports.supportsArrayBuffer = "ArrayBuffer" in global;
exports.supportsBlob = "FileReader" in global &&
    "Blob" in global &&
    (() => {
        try {
            new Blob();
            return true;
        }
        catch (e) {
            return false;
        }
    })();
exports.fetchIsPolyfill = option_1.isSome(fetch.polyfill);
//# sourceMappingURL=capabilities.js.map