"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const option_1 = require("@reactive-js/option");
const capabilities_1 = require("./internal/capabilities");
const fetch_1 = require("./internal/fetch");
const xhr_1 = require("./internal/xhr");
exports.sendHttpRequest = (request) => capabilities_1.fetchIsPolyfill || option_1.isSome(request.content)
    ? xhr_1.sendHttpRequestUsingXHR(request)
    : fetch_1.sendHttpRequestUsingFetch(request);
//# sourceMappingURL=index.js.map