import { isSome } from "@reactive-js/option";
import { fetchIsPolyfill } from "./internal/capabilities";
import { sendHttpRequestUsingFetch } from "./internal/fetch";
import { sendHttpRequestUsingXHR } from "./internal/xhr";
export const sendHttpRequest = (request) => fetchIsPolyfill || isSome(request.content)
    ? sendHttpRequestUsingXHR(request)
    : sendHttpRequestUsingFetch(request);
//# sourceMappingURL=index.js.map